Subject: bug#43252: 27.1; DBus properties lack type hints or overrides

From: Hugh Daschbach <[email-masked]>
Date: Mon, 07 Sep 2020 12:18:52 -0700

Michael Albinus writes:

> Hugh Daschbach <[email-masked]> writes:
>
> Hi Hugh,
>
> Another problem: The changes I apply do not qualify as bug 
> fixing any
> longer, so I fear they are not applicable to Emacs 27. I'm 
> working on
> Emacs' master branch (what will be Emacs 28 later), the patches 
> I have
> provided to you were backports. Do you have a chance to use 
> Emacs'
> master branch? This will avoid discussions with the maintainers 
> whether
> those changes are good for Emacs 27, and it will simplify my 
> life
> considerably, because the sources for D-Bus in Emacs 27 and 28 
> differ. I
> have even applied changes to dbusbind.c, which means it would be 
> harder
> for you to integrate my patches into Emacs 27.

This all sounds good.  I'd be happy to move my testing to 
master. I'd
already realized that part of what I depend on won't make it to 
27.

I'll build master this afternoon.

Thanks.
Hugh